Qwt User's Guide: QwtPlotSeriesItem Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QwtPlotSeriesItem Class Referenceabstract

Base class for plot items representing a series of samples. More...

`#include <qwt_plot_seriesitem.h>`

Inheritance diagram for QwtPlotSeriesItem:

## Public Member Functions
| QwtPlotSeriesItem (const QString &title=QString())
| QwtPlotSeriesItem (const QwtText &title)
virtual | ~QwtPlotSeriesItem ()
| Destructor.
void | setOrientation (Qt::Orientation)
Qt::Orientation | orientation () const
virtual void | draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const override
| Draw the complete series.
virtual void | drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const =0
virtual QRectF | boundingRect () const override
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &) override
| Update the item to changes of the axes scale division.
Public Member Functions inherited from QwtPlotItem
| QwtPlotItem ()
| QwtPlotItem (const QString &title)
| QwtPlotItem (const QwtText &title)
virtual | ~QwtPlotItem ()
| Destroy the QwtPlotItem.
void | attach (QwtPlot *plot)
| Attach the item to a plot.
void | detach ()
| This method detaches a QwtPlotItem from any QwtPlot it has been associated with.
QwtPlot * | plot () const
| Return attached plot.
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
const QwtText & | title () const
virtual int | rtti () const
void | setItemAttribute (ItemAttribute, bool on=true)
bool | testItemAttribute (ItemAttribute) const
void | setItemInterest (ItemInterest, bool on=true)
bool | testItemInterest (ItemInterest) const
void | setRenderHint (RenderHint, bool on=true)
bool | testRenderHint (RenderHint) const
void | setRenderThreadCount (uint numThreads)
uint | renderThreadCount () const
void | setLegendIconSize (const QSize &)
QSize | legendIconSize () const
double | z () const
void | setZ (double z)
| Set the z value.
void | show ()
| Show the item.
void | hide ()
| Hide the item.
virtual void | setVisible (bool)
bool | isVisible () const
void | setAxes (QwtAxisId xAxis, QwtAxisId yAxis)
void | setXAxis (QwtAxisId)
QwtAxisId | xAxis () const
| Return xAxis.
void | setYAxis (QwtAxisId)
QwtAxisId | yAxis () const
| Return yAxis.
virtual void | itemChanged ()
virtual void | legendChanged ()
virtual void | getCanvasMarginHint (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, double &left, double &top, double &right, double &bottom) const
| Calculate a hint for the canvas margin.
virtual void | updateLegend (const QwtPlotItem *, const QList< QwtLegendData > &)
| Update the item to changes of the legend info.
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding scale rectangle of 2 maps.
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding paint rectangle of 2 maps.
virtual QList< QwtLegendData > | legendData () const
| Return all information, that is needed to represent the item on the legend.
virtual QwtGraphic | legendIcon (int index, const QSizeF &) const
Public Member Functions inherited from QwtAbstractSeriesStore
virtual | ~QwtAbstractSeriesStore ()
| Destructor.

## Protected Member Functions
virtual void | dataChanged () override
| dataChanged() indicates, that the series has been changed.
Protected Member Functions inherited from QwtPlotItem
QwtGraphic | defaultIcon (const QBrush &, const QSizeF &) const
| Return a default icon from a brush.
Protected Member Functions inherited from QwtAbstractSeriesStore
virtual void | setRectOfInterest (const QRectF &)=0
virtual QRectF | dataRect () const =0
virtual size_t | dataSize () const =0

## Additional Inherited Members
Public Types inherited from QwtPlotItem
enum | RttiValues { Rtti_PlotItem = 0 , Rtti_PlotGrid , Rtti_PlotScale , Rtti_PlotLegend , Rtti_PlotMarker , Rtti_PlotCurve , Rtti_PlotSpectroCurve , Rtti_PlotIntervalCurve , Rtti_PlotHistogram , Rtti_PlotSpectrogram , Rtti_PlotGraphic , Rtti_PlotTradingCurve , Rtti_PlotBarChart , Rtti_PlotMultiBarChart , Rtti_PlotShape , Rtti_PlotTextLabel , Rtti_PlotZone , Rtti_PlotVectorField , Rtti_PlotUserItem = 1000 }
| Runtime type information. More...
enum | ItemAttribute { Legend = 0x01 , AutoScale = 0x02 , Margins = 0x04 }
| Plot Item Attributes. More...
enum | ItemInterest { ScaleInterest = 0x01 , LegendInterest = 0x02 }
| Plot Item Interests. More...
enum | RenderHint { RenderAntialiased = 0x1 }
| Render hints. More...
typedef QFlags< ItemAttribute > | ItemAttributes
typedef QFlags< ItemInterest > | ItemInterests
typedef QFlags< RenderHint > | RenderHints

## Detailed Description

Base class for plot items representing a series of samples.

Definition at line 24 of file qwt_plot_seriesitem.h.

## Constructor & Destructor Documentation

## ◆ QwtPlotSeriesItem() [1/2]

QwtPlotSeriesItem::QwtPlotSeriesItem | ( | const QString & | title = QString() | ) |
| explicit

Constructor

Parameters

  title | Title of the curve

Definition at line 40 of file qwt_plot_seriesitem.cpp.

## ◆ QwtPlotSeriesItem() [2/2]

QwtPlotSeriesItem::QwtPlotSeriesItem | ( | const QwtText & | title | ) |
| explicit

Constructor

Parameters

  title | Title of the curve

Definition at line 29 of file qwt_plot_seriesitem.cpp.

## ◆ ~QwtPlotSeriesItem()

QwtPlotSeriesItem::~QwtPlotSeriesItem | ( |  | ) |
| virtual

Destructor.

Definition at line 48 of file qwt_plot_seriesitem.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtPlotSeriesItem::boundingRect | ( |  | ) | const
| overridevirtual

Returns
  An invalid bounding rect: QRectF(1.0, 1.0, -2.0, -2.0)

Note
  A width or height < 0.0 is ignored by the autoscaler

Reimplemented from QwtPlotItem.

Reimplemented in QwtPlotBarChart, QwtPlotHistogram, QwtPlotIntervalCurve, QwtPlotMultiBarChart, QwtPlotTradingCurve, and QwtPlotVectorField.

Definition at line 97 of file qwt_plot_seriesitem.cpp.

## ◆ dataChanged()

void QwtPlotSeriesItem::dataChanged | ( |  | ) |
| overrideprotectedvirtual

dataChanged() indicates, that the series has been changed.

Implements QwtAbstractSeriesStore.

Reimplemented in QwtPlotVectorField.

Definition at line 112 of file qwt_plot_seriesitem.cpp.

## ◆ draw()

void QwtPlotSeriesItem::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect ) const
| overridevirtual

Draw the complete series.

Parameters

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  canvasRect | Contents rectangle of the canvas

Implements QwtPlotItem.

Definition at line 90 of file qwt_plot_seriesitem.cpp.

## ◆ drawSeries()

virtual void QwtPlotSeriesItem::drawSeries | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect,
|  | int | from,
|  | int | to ) const
| pure virtual

Draw a subset of the samples

Parameters

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  canvasRect | Contents rectangle of the canvas
  from | Index of the first point to be painted
  to | Index of the last point to be painted. If to < 0 the curve will be painted to its last point.

Implemented in QwtPlotBarChart, QwtPlotCurve, QwtPlotHistogram, QwtPlotIntervalCurve, QwtPlotMultiBarChart, QwtPlotSpectroCurve, QwtPlotTradingCurve, and QwtPlotVectorField.

## ◆ orientation()

Qt::Orientation QwtPlotSeriesItem::orientation | ( |  | ) | const

Returns
  Orientation of the plot item

See also
  setOrientation()

Definition at line 77 of file qwt_plot_seriesitem.cpp.

## ◆ setOrientation()

void QwtPlotSeriesItem::setOrientation | ( | Qt::Orientation | orientation | ) |

Set the orientation of the item.

The orientation() might be used in specific way by a plot item. F.e. a QwtPlotCurve uses it to identify how to display the curve int QwtPlotCurve::Steps or QwtPlotCurve::Sticks style.

See also
  orientation()

Definition at line 62 of file qwt_plot_seriesitem.cpp.

## ◆ updateScaleDiv()

void QwtPlotSeriesItem::updateScaleDiv | ( | const QwtScaleDiv & | xScaleDiv,
|  | const QwtScaleDiv & | yScaleDiv )
| overridevirtual

Update the item to changes of the axes scale division.

Update the item, when the axes of plot have changed. The default implementation does nothing, but items that depend on the scale division (like QwtPlotGrid()) have to reimplement updateScaleDiv()

updateScaleDiv() is only called when the ScaleInterest interest is enabled. The default implementation does nothing.

Parameters

  xScaleDiv | Scale division of the x-axis
  yScaleDiv | Scale division of the y-axis

See also
  QwtPlot::updateAxes(), ScaleInterest

Reimplemented from QwtPlotItem.

Definition at line 102 of file qwt_plot_seriesitem.cpp.